import { createApp } from 'vue'
import App from './App.vue'

import ElementPlus from 'element-plus'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
import {createRouter,createWebHashHistory} from 'vue-router';

import "echarts";
import ECharts from 'vue-echarts'
import HomePage from './components/HomePage.vue'

const router = createRouter({
    history: createWebHashHistory(),
    routes:[
        { path: '/', component:HomePage},
    ]
})

const app = createApp(App)
app.config.globalProperties.$server_url = '/'//'http://localhost:80/'
app.config.productionTip = true
app.component('v-chart',ECharts)
app.use(ElementPlus, {locale: zhCn})
    .use(router).mount('#app')
