const { defineConfig } = require('@vue/cli-service')
const AutoImport = require('unplugin-auto-import/webpack')
const Components = require('unplugin-vue-components/webpack')
const { ElementPlusResolver } = require('unplugin-vue-components/resolvers')
const NodePolyfillPlugin = require('node-polyfill-webpack-plugin')
module.exports = defineConfig({
  transpileDependencies: true,
  publicPath:".",
  devServer: {
    proxy: 'http://localhost/',
    changeOrigin:true,
  },
  configureWebpack: {
    devtool: 'eval-source-map',
    plugins: [
      AutoImport({
        resolvers: [
          ElementPlusResolver(),
        ],
      }),
      Components({
        resolvers: [
          ElementPlusResolver()
        ],
      }),
      new NodePolyfillPlugin()
    ],
  },
})
